## org.w3c.jigsaw.servlet
Class JigsawRequestDispatcher

    java.lang.Object
      |
      +--org.w3c.jigsaw.servlet.JigsawRequestDispatcher

public class JigsawRequestDispatcher
extends java.lang.Object
implements javax.servlet.RequestDispatcher

Constructor Summary
`protected` | `JigsawRequestDispatcher(java.lang.String urlpath, org.w3c.jigsaw.http.httpd server)`

Method Summary
`void` | `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`static javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String urlpath, org.w3c.jigsaw.http.httpd server)`
`void` | `include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JigsawRequestDispatcher

    protected JigsawRequestDispatcher(java.lang.String urlpath,
                                      org.w3c.jigsaw.http.httpd server)

Method Detail

### forward

    public void forward(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    forward in interface javax.servlet.RequestDispatcher

### include

    public void include(javax.servlet.ServletRequest request,
                        javax.servlet.ServletResponse response)
                 throws javax.servlet.ServletException,
                        java.io.IOException

  Specified by:
    include in interface javax.servlet.RequestDispatcher

### getRequestDispatcher

    public static javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String urlpath,
                                                                       org.w3c.jigsaw.http.httpd server)